#ifndef UI_UI_DUMB_H
#define UI_UI_DUMB_H

#include "ui/ui.h"
///@name ui-dumb
//@{


typedef struct UIDumbWindow {
	UIWindow uiw;
	char firstletter;
	char lastletter;
} UIDumbWindow;

typedef struct UIDumbControl {
	UIControl uic;
	char menuletter;
} UIDumbControl;


UIWindow *uidumbMake(void);

void uidwInit(UIDumbWindow *uidw);
void uidwFree(UIDumbWindow *uidw);
void uidwRun(UIDumbWindow *uidw);
void uidwAddControl(UIDumbWindow *uidw, UIEntry *uie);
void uidcSetState(UIDumbWindow *uidw, int index, int state);
void uidcSetValue(UIDumbWindow *uidw, int index);

void uidwDraw(UIDumbWindow *uidw);
int uidwDoInput(UIDumbWindow *uidw);

int uidDialog(char *title, char *text, int type, int defaultchoice);

int uidGetEntropy(char *title, char *text, int bits);


//@}

#endif //UI_UI_DUMB_H

